Package ru.bitel.common.model

# Class IdTitle

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `AbstractEntity`, `AbstractGeographicCode`, `AbstractSpecAttr`, `AccountAttribute`, `ActionExpressionData`, `AdditionalContractAction`, `AddressPrefixSuffix`, `AssistantAction`, `AssistantActionItem`, `AssistantMaster`, `AttributeType`, `BalanceBaseType`, `BankAccount`, `BGGenerator`, `BGInstalledModule`, `BGModule`, `BGSActionGroup`, `BGSequence`, `BillLink`, `BonusPaymentType`, `Bot`, `BotDialog`, `BotDialogElement`, `BotDialogGroup`, `Channel`, `ChannelType`, `ClosedSormContract`, `ConfigData`, `ConfigDataDto`, `Configuration`, `ContactType`, `Contract`, `ContractGroup`, `ContractIdTitleComment`, `ContractLabelItem`, `ContractNote`, `ContractNotification`, `ContractParameterGroupName`, `ContractParameterPref`, `ContractPatternNamedNumber`, `ContractRemoveRule`, `ContractSubPanelLog`, `ContractSubPanelManage`, `ContractTariffCounter`, `ContractTariffEntry`, `CostMap`, `Country`, `DashboardItem`, `Dealer`, `DefaultTreeNode`, `DeviceGroup`, `DeviceTypeConfig`, `DialogProcessingWrapper`, `Dispatch`, `DispatchMessage`, `DocType`, `Document`, `DocumentJournal`, `DocumentPattern`, `DocumentStatus`, `DocumentType`, `EdoDocumentType`, `EntitySpec`, `EntitySpecAttrListItem`, `EntitySpecAttrMultiListItem`, `EntitySpecDTO`, `EventScriptLink`, `EventType`, `FileInfo`, `GarAddressHouse`, `GarAddressObject`, `GlobalScriptLink`, `IdTitleContractId`, `IdTitleValue`, `InetInterface`, `InstalledInstanceModule`, `IsoObject`, `IsoObjectType`, `JmxAppItem`, `LicenseCommonObject`, `LicenseTariffGroup`, `LicenseTariffRange`, `LightweightTaskData`, `ListValue`, `MegafonContractProductHistory`, `MegafonOption`, `MegafonOptionKit`, `MegafonProduct`, `MegogoSubscription`, `MegogoTryAndBuy`, `MenuItem`, `Message`, `MobiServiceCode`, `MobNews`, `MQEvent`, `MQServer`, `News`, `NewsItem`, `NotificationData`, `NumerationPool`, `ObjectParam`, `ObjectType`, `PackerKit`, `PackerOptionLibrary`, `Packet`, `PermissionKit`, `PermissionKitItem`, `PersonalTariff`, `Printer`, `ProductSpecActivationMode`, `RangeMap`, `RangeMapItem`, `Ratio`, `RegisterCategory`, `RegisterExecutor`, `RegisterGroup`, `RegisterSubject`, `RequestRecordLog`, `ReserveType`, `Role`, `RoleItem`, `RSCMServiceDto`, `RunTelTariff`, `SBPilotTerminal`, `Script`, `SenderType`, `Service`, `Signatory`, `SmartHouseAccountType`, `SmartHouseOption`, `SmartHousePackageBase`, `SoftLineProduct`, `SormProject`, `SotfLineProductCategory`, `Source`, `Source`, `Status`, `StockItem`, `StockItemAttribute`, `StockItemAttributeKit`, `StockItemType`, `SubscriptionMode`, `SubscriptionType`, `SubscriptionType`, `Tag`, `TariffAVD`, `TariffGroup`, `TariffItem`, `TariffLabelItem`, `TariffOption`, `TariffOptionActivateMode`, `TariffPlan`, `TariffPlanData`, `TariffVar`, `TrafficRangeSpec`, `TrafficType`, `TrafficTypeLink`, `User`, `UserDevice`, `UserGroup`, `UserRightRule`, `VlanResource`, `VoiceCostMap`, `VoiceDestination`, `VoiceOption`, `VoiceZone`, `VoiceZoneCostMap`, `VoiceZoneMap`, `Warehouse`, `WebMenuItem`, `Zone`, `ZoneMap`

public class IdTitle extends Id implements ListItem, GuiTitlable
Класс - предок для всех bean, имеющих id и title.
Поддерживает JAXB сериализацию/десериализацию.
Successor для ListItem.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IdTitle`
  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdTitle()`
  `IdTitle(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyTo(IdTitle idTitle)`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getTitle()`
  Возвращает название (описание) объекта
  `<T extends IdTitle>
  T`
  `setAsNoSelect(Class<T> clazz)`
  установка части IdTitle согласно NO_SELECT, чтобы в гуях превратился в вариант NO_SELECT, используется вместо NO_SELECT когда есть инстас-наследник, а не IdTitle в коде.
  `IdTitle`
  `setId(int id)`
  Устанавливает id объекта
  `IdTitle`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `<T extends IdTitle>
  T`
  `to(Class<T> clazz)`
  `IdTitle`
  `toIdTitle()`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### NO_SELECT

    public static final IdTitle NO_SELECT

- ## Constructor Details

  - ### IdTitle

    public IdTitle()

  - ### IdTitle

    public IdTitle(int id, String title)

- ## Method Details

  - ### getTitle

    public String getTitle()
    Возвращает название (описание) объекта
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public IdTitle setTitle(String title)
    Устанавливает название (описание) объекта
    Parameters:
      `value` - название (описание объекта)

  - ### setId

    public IdTitle setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### toIdTitle

    public IdTitle toIdTitle()

  - ### copyTo

    public void copyTo(IdTitle idTitle)

  - ### to

    public <T extends IdTitle> T to(Class<T> clazz)

  - ### setAsNoSelect

    public <T extends IdTitle> T setAsNoSelect(Class<T> clazz)
    установка части IdTitle согласно NO_SELECT, чтобы в гуях превратился в вариант NO_SELECT, используется вместо NO_SELECT когда есть инстас-наследник, а не IdTitle в коде.